Bug 1417582 - Provide a warning dialog for add brick operation for the volume which backs gluster data domain
Summary: Provide a warning dialog for add brick operation for the volume which backs g...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-30 11:02 UTC by SATHEESARAN
Modified: 2017-04-21 09:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Expanding gluster volumes in an HC environment is allowed from UI Consequence: Expanding gluster volumes requires rebalancing data from existing bricks to newly added bricks and can cause performance impact for running hyperconverged deployments Fix: Provide a warning to the user that the recommended way of increasing storage capacity in HC deployments is to add new gluster volumes
Clone Of:
Environment:
Last Closed: 2017-04-21 09:32:08 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: exception+
rule-engine: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72883 master MERGED webadmin: Warn on add brick for HC volume 2017-02-23 09:16:42 UTC
oVirt gerrit 73021 ovirt-engine-4.1 MERGED webadmin: Warn on add brick for HC volume 2017-02-24 12:21:28 UTC
oVirt gerrit 73026 ovirt-engine-4.1.1.z MERGED webadmin: Warn on add brick for HC volume 2017-02-27 13:55:50 UTC

Description SATHEESARAN 2017-01-30 11:02:05 UTC
Description of problem:
-----------------------
Expanding the replica 3 volume by adding more distribute leg is not recommended for the volume that backs oVirt gluster data domain particularly with hyperconvergence usecase. Provide note of warning when the user attempts to add bricks to the replica 3 volume.

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
oVirt Engine Version: 4.1.0.3-0.0.master

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Add a brick to the replica 3 volume from oVirt UI

Actual results:
---------------
No warning

Expected results:
------------------
Note of warning explaining that the addition of bricks to replica 3 volume to make it as nx3 is not recommended

Comment 1 SATHEESARAN 2017-03-20 06:56:06 UTC
Tested with RHV-4.1.1-5.

Addition of bricks to the volume throws the warning messages that claims the operation should not be done, as it would end up in degraded performance.


Note You need to log in before you can comment on or make changes to this bug.